"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The possible condition relations to evaulate a trigger
 */
var TriggerConditionRelation;
(function (TriggerConditionRelation) {
    /**
     * ===
     */
    TriggerConditionRelation[TriggerConditionRelation["Equal"] = 0] = "Equal";
    /**
     * !==
     */
    TriggerConditionRelation[TriggerConditionRelation["NotEqual"] = 1] = "NotEqual";
    /**
     * !== undefined, !== null
     */
    TriggerConditionRelation[TriggerConditionRelation["Exists"] = 2] = "Exists";
    /**
     * \gval.*\g
     */
    TriggerConditionRelation[TriggerConditionRelation["StartsWith"] = 3] = "StartsWith";
    /**
     * >
     */
    TriggerConditionRelation[TriggerConditionRelation["Greater"] = 4] = "Greater";
    /**
     * <
     */
    TriggerConditionRelation[TriggerConditionRelation["Lesser"] = 5] = "Lesser";
    /**
     * \g.*val.*\
     */
    TriggerConditionRelation[TriggerConditionRelation["Contains"] = 6] = "Contains";
    /**
     * lastValue !== currentValue
     */
    TriggerConditionRelation[TriggerConditionRelation["Changed"] = 7] = "Changed";
})(TriggerConditionRelation = exports.TriggerConditionRelation || (exports.TriggerConditionRelation = {}));
/**
 * Label-value pair used to show comparison relation on add/edit trigger modal
 */
exports.CONDITION_RELATION_OPTIONS = [
    {
        label: 'Igual',
        value: TriggerConditionRelation.Equal
    },
    {
        label: 'Diferente',
        value: TriggerConditionRelation.NotEqual
    },
    {
        label: 'Mayor que',
        value: TriggerConditionRelation.Greater
    },
    {
        label: 'Menor que',
        value: TriggerConditionRelation.Lesser
    },
    {
        label: 'Existe',
        value: TriggerConditionRelation.Exists
    },
    {
        label: 'Contiene',
        value: TriggerConditionRelation.Contains
    },
    {
        label: 'Comienza con',
        value: TriggerConditionRelation.StartsWith
    },
    {
        label: 'Cambia',
        value: TriggerConditionRelation.Changed
    },
];
/**
 * Object used to decide which relations must be shown according the condition variable type
 */
exports.AVAILABLE_RELATIONS_BY_TYPE = {
    input: [
        TriggerConditionRelation.Equal,
        TriggerConditionRelation.NotEqual,
        TriggerConditionRelation.Contains,
        TriggerConditionRelation.Changed,
        TriggerConditionRelation.Exists,
    ],
    number: [
        TriggerConditionRelation.Equal,
        TriggerConditionRelation.NotEqual,
        TriggerConditionRelation.Exists,
        TriggerConditionRelation.Contains,
        TriggerConditionRelation.StartsWith,
        TriggerConditionRelation.Changed,
        TriggerConditionRelation.Greater,
        TriggerConditionRelation.Lesser,
    ],
    date: [
        TriggerConditionRelation.Equal,
        TriggerConditionRelation.NotEqual,
        TriggerConditionRelation.Greater,
        TriggerConditionRelation.Lesser,
        TriggerConditionRelation.Exists,
        TriggerConditionRelation.Changed,
    ],
};
